(defproject buchdesmonats "1.5"
  :description "A simple tool to fetch all book of the month covers from the okoyono.de project."
  :url "https://git.okoyono.de/mezzomix/buch_des_monats"
  :license {:name "MIT License"
            :url "http://opensource.org/licenses/MIT"}
  :dependencies [[org.clojure/clojure "1.9.0"]
                 [org.clojure/tools.logging "0.4.1"]
                 [enlive "1.1.6"]
                 [me.raynes/fs "1.4.6"]
                 ;;; We can't use the current 3.9.0, because there is a outstanding
                 ;;; bug with downloading jpeg files. A PR is already open and should
                 ;;; be merged with 3.10.0. Till then, we need to live with 3.7.0.
                 ;;; https://github.com/dakrone/clj-http/pull/449
                 [clj-http "3.7.0"]]
  :main ^:skip-aot buchdesmonats.core
  :profiles {:uberjar {:aot :all}})

